Get Project

Request

GET

https://api.sourcecraft.tech/orgs/{org_slug}/projects/{project_slug}

Path parameters

Name

Description

org_slug

Type: string

Example: ``

project_slug

Type: string

Example: ``

Responses

200 OK

A successful response.

Body

application/json
{
  "id": "example",
  "name": "example",
  "slug": "example",
  "organization": {
    "id": "example",
    "slug": "example"
  },
  "description": "example",
  "website": "example",
  "visibility": "public",
  "logo": {
    "url": "example"
  },
  "created_at": "2025-01-01T00:00:00Z",
  "updated_at": "2025-01-01T00:00:00Z"
}

Name

Description

created_at

Type: string<date-time>

Example: 2025-01-01T00:00:00Z

description

Type: string

Example: example

id

Type: string

Example: example

logo

Type: Image

Example
{
  "url": "example"
}

name

Type: string

Example: example

organization

Type: OrganizationEmbedded

Example
{
  "id": "example",
  "slug": "example"
}

slug

Type: string

Example: example

updated_at

Type: string<date-time>

Example: 2025-01-01T00:00:00Z

visibility

Type: Project.Visibility

Enum: public, internal, private

website

Type: string

Example: example

OrganizationEmbedded

Name

Description

id

Type: string

Example: example

slug

Type: string

Example: example

Example
{
  "id": "example",
  "slug": "example"
}

Project.Visibility

Type: string

Enum: public, internal, private

Image

Name

Description

url

Type: string

Example: example

Example
{
  "url": "example"
}

default

Both Client Errors (4xx) and Server Errors (5xx) are serialized into this scheme

Body

application/json
{
  "error_code": "example",
  "message": "example",
  "request_id": "example",
  "details": null
}

Name

Description

details

Type: unknown

Example: null

error_code

Type: string

Example: example

message

Type: string

Example: example

request_id

Type: string

Example: example